Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.core
Class CinemaSequenceMenu

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.CinemaGuiModule
                              |
                              +--uk.ac.man.bioinf.apps.cinema.core.CinemaSequenceMenu

All Implemented Interfaces:
  AlignmentEventProvider

public class CinemaSequenceMenu
extends CinemaGuiModule

CinemaSequenceMenu.java Created: Mon May 22 14:04:57 2000

Version:
  $Id: CinemaSequenceMenu.java,v 1.8 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaSequenceMenu()`

Method Summary
`void` | `add(JMenuItem menu)`
`GappedSequence` | `getLastSequence()`
`JPopupMenu` | `getPopupMenu()`
`String` | `getVersion()` Returns the version of this module.
`void` | `start()` The method called externally to initiate the modules function.

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaGuiModule
`destroy, getAlignmentFrame, getFrame, getJMenuBar, getRequiredIdentifiers, getRowHeaders, getRuler, getRulerPanel, getScrollPane, getStatusBar, getViewer, setFrameTitle`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, load, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaSequenceMenu

    public CinemaSequenceMenu()

Method Detail

### start

    public void start()

  Description copied from class: `Module`
  The method called externally to initiate the modules function.

  Overrides:
    `start` in class `Module`

### getPopupMenu

    public JPopupMenu getPopupMenu()

### add

    public void add(JMenuItem menu)

### getLastSequence

    public GappedSequence getLastSequence()

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD